import 'package:gotrue/gotrue.dart';

class OpenIDConnectCredentials {
  /// `idToken` is the IDToken of the user.
  final String idToken;

  /// `nonce` is the nonce of the user.
  ///  The nonce is a random value generated by the developer (= yourself)
  ///  before the initial grant is started.
  ///  You should check the OpenID Connect specification for details.
  ///  https://openid.net/developers/specs/
  final String? nonce;

  /// `provider` is the provider of the user.
  final Provider? provider;

  /// `clientID` is the clientID of the user.
  final String? clientId;

  /// `issuer` is the issuer of the user.
  final String? issuer;

  const OpenIDConnectCredentials({
    required this.idToken,
    this.nonce,
    this.provider,
    this.clientId,
    this.issuer,
  });
}
